Environment list returns undefined method `[]' for nil:NilClass on Puppet 3.5

03/14/2014 09:17 AM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Dominic Cleal   

Category: Puppet   

Target version: 1.4.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On Puppet 3.5, the environment import throws an exception:

NoMethodError: undefined method `[]' for nil:NilClass

    /usr/share/foreman-proxy/bin/../lib/proxy/puppet/environment.rb:29:in `puppet_environments'

    /usr/share/foreman-proxy/bin/../lib/proxy/puppet/environment.rb:13:in `all'

    /usr/share/foreman-proxy/bin/../lib/puppet_api.rb:40:in `GET /puppet/environments'

Related issues:

Related to Smart Proxy - Bug #4686: Proxy attempts to load Puppet config at /... Closed 03/18/2014

Blocks Installer - Tracker #4359: Puppet 3.5.0 support Closed 02/17/2014 02/28/2014

Associated revisions

Revision dd374005 - 03/14/2014 12:27 PM - Dominic Cleal

fixes #4658 - parse puppet.conf with augeas instead of puppet internals

History

#1 - 03/14/2014 10:43 AM - Dominic Cleal

- Blocks Tracker #4359: Puppet 3.5.0 support added

#2 - 03/14/2014 10:43 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/139

#3 - 03/14/2014 12:52 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dd37400544ff6f50bca77a1c13a82a3073cb8ebd.

#4 - 03/19/2014 08:34 AM - Dominic Cleal

- Related to Bug #4686: Proxy attempts to load Puppet config at /usr/share/foreman-proxy/.puppet/puppet.conf added
